Summary: Network Time Protocol utilities
Name: ntp
Version: 4.0.98f
Release: 1
Group: System Environment/Daemons
Copyright: Distributable
Url: http://www.eecis.udel.edu/~ntp/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.udel.edu/pub/ntp/ntp4/ntp-%{version}.tar.gz
Source1: ntpd.init
Source2: ntp.conf
BuildRoot: /var/tmp/%{name}-root

%description
This package contains utilities and daemons to help synchronize your
computer's time to UTC standard time. It includes ntpdate, a program
similar to rdate, and ntpd, a daemon which adjusts the system time
continuously.

WARNING: This RPM assumes that your BIOS clock is in UTC.

Documentations for ntp are available online at 
http://www.eecis.udel.edu/~ntp/ntp_spool/html/index.htm


%prep 
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --sysconfdir=/etc
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
$MAKE


%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

# ntpd should be put in /usr/sbin
mkdir $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/usr/bin/ntpd $RPM_BUILD_ROOT/usr/sbin

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntpd
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/ntp.conf
touch $RPM_BUILD_ROOT/etc/ntp.keys; chmod 600 $RPM_BUILD_ROOT/etc/ntp.keys
echo 0 > $RPM_BUILD_ROOT/etc/ntp.drift


%post
/sbin/chkconfig --add ntpd

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del ntpd
fi


%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog INSTALL NEWS NOTES* README* TODO WHERE-TO-START
%doc conf
%config /etc/rc.d/init.d/ntpd
%config /etc/ntp.conf
%config /etc/ntp.keys
%config /etc/ntp.drift
/usr/bin/*
/usr/sbin/*


%clean
rm -rf $RPM_BUILD_ROOT

